.\"	$NetBSD: services.5,v 1.9 2007/06/19 19:26:10 christos Exp $
.\"
.\" Copyright (c) 1983, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)services.5	8.1 (Berkeley) 6/5/93
.\"
.Dd June 19, 2007
.Dt SERVICES 5
.Os
.Sh NAME
.Nm services
.Nd service name data base
.Sh DESCRIPTION
The
.Nm services
file contains information regarding
the known services available in the
.Tn DARPA
Internet.
For each service a single line should be present
with the following information:
.Bd -unfilled -offset indent
official service name
port number
protocol name
aliases
.Ed
.Pp
Items are separated by any number of blanks and/or
tab characters.
The port number and protocol name are considered a single
.Em item ;
a slash
.Pq Dq /
is used to separate the port and protocol (e.g.
.Dq 512/tcp ) .
A hash
.Pq Dq \&#
indicates the beginning of
a comment; subsequent characters up to the end of the line are
not interpreted by the routines which search the file.
.Pp
Service names may contain any printable character other than a
field delimiter, newline, or comment character.
.Pp
The database in
.Pa /var/db/services.db
needs to be updated with
.Xr services_mkdb 8
after changes to the services file have been applied.
.Sh FILES
.Bl -tag -width /etc/services -compact
.It Pa /etc/services
The
.Nm services
file resides in
.Pa /etc .
.El
.Sh SEE ALSO
.Xr getservent 3 ,
.Xr services_mkdb 8
.Sh HISTORY
The
.Nm
file format appeared in
.Bx 4.2 .
.Sh BUGS
A name server should be used instead of a static file.
